/* ------------------------------------------------------------------------------------------------------------------ */
/* App buttons                                                                                                        */
/* ------------------------------------------------------------------------------------------------------------------ */
.top-left {
    position: fixed;
    top: 1.5rem;
    left: 1.5rem;
}
.top-right {
    position: fixed;
    top: 1.5rem;
    right: 1.5rem;
}
.bottom-left {
    position: fixed;
    bottom: 1.5rem;
    left: 1.5rem;
}
.bottom-right {
    position: fixed;
    bottom: 1.5rem;
    right: 1.5rem;
}
.btn-pink,
.btn-pink:hover {
    width: 3.5rem;
    height: 3.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    border-radius: 50%;
    z-index: 50;
    background-color: var(--bs-dominant);
    border: 0.1rem solid var(--bs-dominant);
    color: var(--bs-accent);
    transition: all 0.2s ease-in-out;
}
.btn-pink:active {
    background-color: var(--bs-accent) !important;
    border-color: var(--bs-accent) !important;
    color: white !important;
}
.btn-pink svg {
    fill: var(--bs-accent);
}
.btn-pink:active svg {
    fill: white !important;
}
.btn-thick {
    font-weight: 1000;
}